> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/api-reference/tester-army-api/webhooks/llms.txt.
> For full documentation content, see https://docs.tester.army/api-reference/tester-army-api/webhooks/llms-full.txt.

# Trigger a group webhook

POST https://tester.army/v1/groups/webhook/{webhookId}/{secret}
Content-Type: application/json

Trigger all runnable tests in a group from a signed webhook URL.

Reference: https://docs.tester.army/api-reference/tester-army-api/webhooks/trigger-a-group-webhook

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/groups/webhook/{webhookId}/{secret}:
    post:
      operationId: trigger-a-group-webhook
      summary: Trigger a group webhook
      description: Trigger all runnable tests in a group from a signed webhook URL.
      tags:
        - subpackage_webhooks
      parameters:
        - name: webhookId
          in: path
          description: Webhook ID
          required: true
          schema:
            type: string
            format: uuid
        - name: secret
          in: path
          description: Webhook secret
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Webhook accepted
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Webhooks_triggerAGroupWebhook_Response_200
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TriggerAGroupWebhookRequestBadRequestError
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TriggerAGroupWebhookRequestUnauthorizedError
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TriggerAGroupWebhookRequestTooManyRequestsError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TriggerAGroupWebhookRequestInternalServerError
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TriggerAGroupWebhookRequestGatewayTimeoutError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                commitSha:
                  type: string
                targetUrl:
                  type: string
                  format: uri
                mobile:
                  $ref: >-
                    #/components/schemas/V1GroupsWebhookWebhookIdSecretPostRequestBodyContentApplicationJsonSchemaMobile
servers:
  - url: https://tester.army
components:
  schemas:
    V1GroupsWebhookWebhookIdSecretPostRequestBodyContentApplicationJsonSchemaMobile:
      type: object
      properties:
        appId:
          type: string
          format: uuid
        bundleId:
          type: string
        artifactUrl:
          type: string
          format: uri
        artifactFilename:
          type: string
        buildId:
          type: string
      title: >-
        V1GroupsWebhookWebhookIdSecretPostRequestBodyContentApplicationJsonSchemaMobile
    Webhooks_triggerAGroupWebhook_Response_200:
      type: object
      properties:
        received:
          type: boolean
        ignored:
          type: boolean
        reason:
          type: string
        runId:
          type: string
          format: uuid
        batchId:
          type: string
          format: uuid
      required:
        - received
      title: Webhooks_triggerAGroupWebhook_Response_200
    TriggerAGroupWebhookRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerAGroupWebhookRequestBadRequestError
    TriggerAGroupWebhookRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerAGroupWebhookRequestUnauthorizedError
    TriggerAGroupWebhookRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerAGroupWebhookRequestTooManyRequestsError
    TriggerAGroupWebhookRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerAGroupWebhookRequestInternalServerError
    TriggerAGroupWebhookRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerAGroupWebhookRequestGatewayTimeoutError

```

## SDK Code Examples

```python
import requests

url = "https://tester.army/v1/groups/webhook/webhookId/secret"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/v1/groups/webhook/webhookId/secret';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/v1/groups/webhook/webhookId/secret"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/v1/groups/webhook/webhookId/secret")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tester.army/v1/groups/webhook/webhookId/secret")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tester.army/v1/groups/webhook/webhookId/secret', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/v1/groups/webhook/webhookId/secret");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/v1/groups/webhook/webhookId/secret")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```